@import url(assets/theme-toggle.css);

* {
  --diff: calc(var(--max-size) - var(--min-size));
  --responsive: calc((var(--min-size) * 1px) + var(--diff) * ((100vw - 360px) / (1280 - 360)));
}

html[data-theme="dark"] {
  color-scheme: dark;
  --color-text: #ddd9d2;
  --color-text-hl: #fff;
  --color-bg: #23201e;
  --color-bg-hl: #23201e;

  --color-prim: #8eb957;  
  --color-prim-l: #5f8b0e;
  --color-prim-ll: #465921;  
  --color-prim-d: #B4D278;
  --color-prim-dd: #D8ECAF;  
  --color-sec: #4a4743;
  --color-sec-hl: #615749;
  --color-sec-l: #4d453b;
  --color-sec-ll:#000;
  --color-sec-d: #99938b;
  --color-sec-dd: #FAF8F5;
  --color-alt: #BBBBBB;
  --color-alt-l: #333333;
  --color-alt-d: #aaaaaa;
  --color-alt-ll: #555555;
}

body {
	font-size: 16px;
	overflow-x: hidden;
	min-width: 360px;
	font-family: 'Nunito Sans', sans-serif;
  background-color: var(--color-sec-ll);
  line-height: 1.3;
  color: var(--color-text);
}


/* ОБЩИЕ СТИЛИ */

h1 {
	margin-top: 16px;
	margin-bottom: 15px;
  --max-size: 48;
  --min-size: 40;
  font-size: var(--responsive);
  font-weight: 700;	
  text-wrap: balance;
}

h2 {
  --max-size: 32;
  --min-size: 26;
  font-weight: bold;
  font-size: var(--responsive);
	margin-top: 0;
  text-wrap: balance;
}

h3, .h3 {
  --max-size: 30;
  --min-size: 24;
  font-size: var(--responsive);
  font-weight: 600;
  text-wrap: balance;
}

h4 {
  --max-size: 24;
  --min-size: 20;
  font-size: var(--responsive);
  font-weight: 600;
}

h5 {
  --max-size: 22;
  --min-size: 18;
  font-size: var(--responsive);
  font-weight: 600;	
}


/* ОБЩИЕ КЛАССЫ */

a {
  color: var(--color-text-hl);
}

a:hover {
  color: currentColor;
}

p a, .link {
  text-decoration: underline;
	text-decoration-color: var(--color-prim);
  text-decoration-thickness: 2px;
  transition: all .3s;
}

p a:hover, .link:hover {
	text-decoration-color: var(--color-prim-dd);
  text-decoration-thickness: 2px;
  color: var(--color-text-hl);
}

option {
  font-family: 'Nunito Sans', sans-serif;
  background-color: var(--color-bg);
  font-weight: 400;
}

select {
  max-width: 100%;
}

.link--bold {
  font-weight: bold;
}

.btn {
  border-radius: 6px;
  border: 0;
  padding: 8px 12px;
  font-weight: 600;
  text-decoration: none;
}

.btn--lg, .btn-lg {
  border-radius: 8px;
  padding: 10px 30px;
}

.btn--primary, .btn-primary, .btn-default {
  background-color: var(--color-prim-l);
  color: var(--color-text-hl);
  border-bottom: 1px solid var(--color-prim);
}

.btn-primary:not([disabled]):hover {
  color: var(--color-text-hl);
}

.btn--primary:not([disabled]):hover {
  background-color: var(--color-prim);
}

.btn--secondary {
  background-color: var(--color-sec);
}

.btn:hover {
  text-decoration: none;
}

.input, .search .btn-default, .blocksearch, .attsearch, .form-control {
  border-radius: 6px;
  border: 1px solid var(--color-sec);
  background-color: var(--color-sec-ll);
  padding: 7px 12px;
}

.input:hover, .search .btn-default:hover, .blocksearch:hover, .attsearch:hover, .form-control:hover {
  border: 1px solid var(--color-sec-d);
  background-color: var(--color-sec-l);
}

input:focus-visible, .form-control:focus {
  border-color: var(--color-prim);
  outline: 0;
  box-shadow: 0 0 0 3px var(--color-prim-ll);
}


/* HEADER */

.topbar {
  display: flex;
  justify-content: space-between;
  padding: 12px 20px;
  border-bottom: 1px solid var(--color-sec);
  background-color: var(--color-bg);
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  z-index: 1000;
}

.topbar__right {
  display: flex;
  justify-content: flex-end;
  gap: 10px;
  align-items: center;
}

.logo {
  color: var(--color-text-hl);
  display: flex;
  gap: 10px;
  align-items: center;
  transition: all .3s;
}

.logo__img {
  position: relative;
}

.logo__img2 {
  position: absolute;
  z-index: 22222;
  left: -1px;
  top: 0;
  opacity: 0;
  transition: all .3s;
}

.logo__text {
  font-size: 32px;
  font-weight: 800;
  line-height: 1.1;
  transition: all .3s;
	text-decoration-color: transparent;
  text-decoration-thickness: 2px;
  text-decoration-line: underline;
}

.logo:hover {
  text-decoration: none;
}

.logo:hover .logo__img2 {
  opacity: 1;
}

.logo:hover .logo__text {
  text-decoration-color: var(--color-prim);
}

.logo__slogan {
  font-size: 14px;
  font-weight: 600;
  line-height: 1.1;
}

.popover {
  border-radius: 6px;
  padding: 5px;
  border: 1px solid var(--color-sec);
  position: fixed;
  inset: unset;
  top: 70px;
  right: 15px;
  width: 480px;
  max-width: 90%;
  box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.025),0 16px 32px rgba(0, 0, 0, 0.05),0 4px 8px rgba(0, 0, 0, 0.1);
  background-color: var(--color-bg);
}

.menu {
  list-style: none;
  padding: 0;
  margin: 0;
}

.menu-link {
  padding: 8px 15px;
  transition: all .3s;
  display: block;
  border-radius: 4px;
  border: 1px solid transparent;
}

.menu-link:hover {
  background-color: var(--color-sec-ll);
  border: 1px solid var(--color-sec);
  text-decoration: none;
  color: var(--color-text-hl);
}

.menu-link__name, .menu-link:hover .menu-link__name {
  font-weight: 700;
}

.menu-link__description, .menu-link:hover .menu-link__description {
  color: var(--color-alt);
  font-size: 13px;
}

::backdrop {
  background-color: rgba(55, 33, 0, .2);
}



/* ГЛАВНАЯ */

.home-intro {
  background-color: var(--color-bg);  
  margin: 0;
  padding: 150px 0 100px;
  background-image: url(images/bg-map.svg);
  background-size: auto 110%;
  background-position: 50% 50%;
  background-attachment: fixed;
  text-align: center;
}

.subtitle {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 35px 0 25px;
}

.subtitle__link {
  font-weight: 800;
  font-size: 18px;
  padding-top: 4px;
  display: flex;
  align-items: center;
}

.subtitle__link--xs {
  display: none;
}

.stat {
  padding: 80px 0 120px;
  border-top: 1px solid var(--color-sec);
  border-bottom: 1px solid var(--color-sec);
  background-color: var(--color-bg);
  text-align: center;
}

.stat__container {
  display: flex;
  gap: 40px;
  margin-top: 10px;
  flex-direction: column;
}

.stat__items {
  display: flex;
  gap: 20px;
  justify-content: center;
  margin-top: 20px;
  flex-wrap: wrap;
}

.stat__item {
  padding: 20px 20px 12px;
  border-radius: 6px;
  width: 240px;
  display: flex;
  gap: 10px;
  transition: all .4s;
  border: 1px solid transparent;
}

.stat__item:hover {
  text-decoration: none;
}

.stat__item--secondary {
  background-color: var(--color-sec);
  color: var(--color-sec-dd);
}

.stat__item--primary {
  background-color: var(--color-prim-ll);
  color: var(--color-prim-dd);
}

.stat__item--alt {
  background-color: var(--color-alt-ll);
  color: var(--color-alt);
}

.stat__item--secondary:hover {
  border-color: var(--color-sec-d);
  color: var(--color-sec-dd);
  box-shadow: 0 14px 10px -10px #57482c33;
}

.stat__item--primary:hover {
  border-color: var(--color-prim-l);
  color: var(--color-prim-dd);
  box-shadow: 0 14px 10px -10px #4e572c33;
}

.stat__item--alt:hover {
  border-color: var(--color-alt-l);
  color: var(--color-alt);
  box-shadow: 0 14px 10px -10px #55555533;
}

.stat__text {
  padding-top: 1px;  
  color: var(--color-text);
  line-height: 1; 
  text-align: left; 
} 

.stat__number {
  font-size: 24px;
  font-weight: 700; 
}

.stat__subheader {
  margin-top: 0;
}

.block--secondary {
  background-color: var(--color-sec);
  padding: 100px 0;
  margin-top: 0;
  border-top: 1px solid var(--color-sec);
  background-image: url(images/bg-map.svg);
  background-size: 180%;
  background-attachment: fixed;
}

.block--primary {
  background-color: var(--color-prim-l);
  padding: 100px 0 120px;
  border-top: 1px solid var(--color-prim);
  border-bottom: 1px solid var(--color-prim);
  margin-top: 100px;
}

.block--primary .btn-default {
  background-color: var(--color-bg);
}

.block--white {
  background-color: var(--color-bg);
  padding: 80px 0;
  margin-top: 100px;
  border-top: 1px solid var(--color-sec);
  border-bottom: 1px solid var(--color-sec);
}

.block--transparent {
  padding: 100px 0;
}

.extralinks {
  font-size: 20px;
  display: flex;
  gap: 20px;
  font-weight: 600;
  justify-content: center;
  margin-top: 20px;
}

.extralink:hover {
  text-decoration: none;
}

.seealso {
  padding-top: 80px;
  border-top: 1px solid var(--color-sec);
  text-align: center;
}

.seealso .card-img {
  padding: 10px 10px 0 25px;
}

.seealso .card {
  padding: 20px 0 0;
}

.collections h5 {
  font-size: 16px;
}

.collections .card-caption {
  padding-top: 10px;
}

.gallery-home {
	margin: 50px auto 60px;
	padding: 2px;
	height: 251px;
	overflow: hidden;
	display: flex;
	flex-wrap: wrap;
	width: auto;
	justify-content: center;
}

.gallery-home__img {
	height: 120px;
	width: 160px;
	margin: 2px;
	display: inline-block;
	outline: 4px solid var(--color-bg);
}


.blocksearch, .input--white {
  background-color: var(--color-bg);
}

.gallery.cardsgrid {
  gap: 30px;
}

.gallerycard {
  background-color: var(--color-bg);
  border-radius: 8px;
  border: 1px solid var(--color-sec);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
  overflow: hidden;
  color: var(--color-text-hl);
  height: 100%;
}

.thumbwrap .caption {
  text-align: center;
  font-size: 14px;
  padding: 8px 9px 5px;
}

.gridcaption {
  padding: 10px 15px 15px;
  text-align: left;
}

.dateauthor {
  font-style: normal;
  opacity: 0.6;
  padding: 1px 0 3px;
}

.tag {
  background-color: var(--color-prim-l);
  border-radius: 3px;
  color: var(--color-text-hl);
  padding: 1px 6px;
  display: inline-block;
  margin: 2px 2px;
  font-weight: 600;
  font-size: 14px;
  transition: all .3s;
}


.tag:hover {
  background-color: var(--color-prim-ll);
  text-decoration: none;
  color: var(--color-text-hl);
}

.card-description {
  line-height: 1.25;
  font-size: 15px;
}

.card-link:hover {
  text-decoration: none;
}

.block--center {
  text-align: center;
}

.label-default {
  background-color: var(--color-prim-l);
  font-weight: 600;
  color: var(--color-text-hl);
}

.label-transparent {
  color: var(--color-alt);
}



/* PAGE ELEMENTS */

.white {
  background-color: var(--color-bg);
  border-radius: 8px;
  border: 1px solid var(--color-sec);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
  margin: 20px 0;
  padding: 20px 30px;  
}

.white .margin-top {
  margin-top: 20px;
}

.white a.att-name {
  text-decoration: underline;
  margin-bottom: 2px;
}

.attdescription a {
  text-decoration: underline;
  color: var(--color-alt);
}

.attdescription ul {
  list-style: disc;
}

.modal-header.yellow {
	padding-right: 15px;
}

.modal {
	color: #333;
}

.nav-tabs > li > a:hover, .nav-tabs > li > a:focus {
  background-color: rgba(255,255,255,0.3);
}

.modal .modal-body, .gallery-wrap {
	margin-top: -57px;
}

.gallery-header {
	padding-bottom: 70px;
}

.gallery-wrap .nav-tabs {
	padding-left: 25px;
}

.galleryfilter {
  margin-bottom: 10px;
}

.megamenu__icon {
  color: var(--color-prim-d);
}

.megamenu__header {
  background-color: var(--color-sec);
  overflow: hidden;
  border-radius: 12px 12px 0 0;
}

select.input {
  cursor: pointer;
  transition: all .3s;
}

select.input:hover {
  background-color: var(--color-sec);
}

.modal-body {
  overflow: hidden;
}

.attachments:not(.row) .att-li {
  padding: 5px 0;
}

.attdescription {
  color: var(--color-alt);
}

.cards-filter {
  margin: 40px 0 10px;
}

.card-date {
  margin: 5px 5px 5px 0;
  color: var(--color-alt);
}

.pageblock-gallery:not(.white) .block-header {
  margin-top: 80px;
}

.examples .block-header {
  margin-top: 40px !important;
}

.white .block-header h3 {
  margin: 5px 0 15px;
}

.modal-content {
  background-color: var(--color-bg);
  color: var(--color-text-hl);
}

.close {
  color: var(--color-text-hl);
  opacity: 0.3;
}

.card:not(.card-divider) {
  background-color: var(--color-bg-hl);
}

.card-divider {
  margin-left: 15px;
  margin-top: 20px;
}

.card-description {
  color: var(--color-text);
}

.cards-v .card {
  padding: 0 !important;
  border: 1px solid transparent;
  transition: all .3s;
}

.cards-v .card:hover {
  padding: 0;
  border: 1px solid var(--color-sec);
}

.cards-v .card-link {
  padding: 25px 0 5px 5px;
  display: block;
}


.cards-v .card-description {
  padding-bottom: 0;
  color: var(--color-alt);
  line-height: 1.2;
}

.cards-v .card-img {
  position: static;
}

.white .att-li.at-header:first-of-type {
  margin-top: 0;
  padding-top: 0 !important;
}

.margin-top {
  margin-top: 50px;
}

.cards-h .svg {
  width: 40%;
  padding-bottom: 40%;
  min-width: 80px;
  margin: 20px auto 10px;
}

.modal-header {
  padding: 15px 25px;
  border-bottom: 1px solid var(--color-sec);
}

.white h3 {
  margin-top: 10px;
}

.attachments h4 {
  color: var(--color-alt);
}

.att-name {
  font-weight: 700;
}

.page-header {
  margin: 0 0 20px;
  padding: 130px 0 80px;
  background-color: var(--color-bg);
  text-align: center;
  border-bottom: 5px solid var(--color-prim-l);
  background-image: url(images/bg-map.svg);
  background-size: 150%;
  box-shadow: 0 -1px 0 0 var(--color-alt-l) inset;
  background-attachment: fixed;
}

.page-header__name{
  margin: 0;
  --max-size: 44;
  --min-size: 36;
  font-size: var(--responsive);
  font-weight: 600;
}

.page-header__breadcrumbs {
  font-size: 20px;
  font-weight: 700;
  text-decoration: underline;
	text-decoration-color: var(--color-prim);
  text-decoration-thickness: 2px;
}

.page-header__description {
  text-wrap: balance;
}

.panel-default {
  border: 1px solid var(--color-sec);
}

.panel-default:hover {
  border: 1px solid var(--color-sec-d);
}

.panel-default > .panel-heading {
  background-color: var(--color-sec);
  border-color: var(--color-sec);
  overflow: hidden;
}

.flex-row .card > a:hover, .flex-row .card > a:focus {
  opacity: 1;
  text-decoration: none;
}

.faq-light summary {
  margin-bottom: 0;
}

.videowrap {
  border-radius: 6px;
  border: 1px solid var(--color-sec);
  overflow: hidden;
  margin-top: 30px !important;
}

.flags {
  margin-bottom: 4cap;  
}

.flags .attachments {
  gap: 20px;
  margin: 0;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
  margin-bottom: 20px;
}

.flags .at-article {
  background-color: var(--color-bg);
  width: 100%;
  margin: 0;
  padding: 20px !important;
  position: relative;
  transition: all .3s;
}

.flags .at-article:hover {
  border-color: var(--color-sec-d);
  box-shadow: 0 1.25rem 1rem -1rem #57482c22;
}

.flags .at-article:hover a {
  text-decoration: none;
}

.flags .att-svg {
  border-radius: 4px;
  border: 1px solid var(--color-sec);
  overflow: hidden;
  aspect-ratio: 4 / 3;
}

.flags .at-article a::before {
  content: "";
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
}

.dropdown-menu {
  overflow-x: hidden;
  background-color: var(--color-sec-ll);
  color: var(--color-text-hl);
}

.dropdown-menu > li > a, .dropdown-menu > li > a {
  color: var(--color-text-hl);
}

.dropdown-menu > li > a:hover, .dropdown-menu > li > a:focus {
  color: var(--color-text-hl);
  background-color: var(--color-sec);
}



/* МЕНЮ ГАЛЕРЕЯ БЛАГОУСТРОЙСТВА */

.mega-menu {
  column-count:1;
  padding: 15px 0 0;
  background: var(--color-bg);
}
@media (min-width: 600px) {.mega-menu{column-count:2;}}
@media (min-width: 900px) {.mega-menu{column-count:3;}}

.mega-menu > li {
  display: inline-block;
  padding-bottom: 15px;
}
.mega-menu > .tag {
  padding-bottom: 0;
}
@media (min-width: 700px) {.mega-menu2{column-count:2;}}

.mega-menu2 {
  padding: 0;
}

.mega-menu2 > li {
  display: block;
  padding-bottom: 0;
}

#mega-menu {
	display: none;
}

li.mega-menu__tag {
  padding-bottom: 2px;
  text-decoration: underline;
  text-decoration-color: var(--color-prim);
  text-decoration-thickness: 2px;
}

.grid {
	display: grid;
	gap: 10px;
	grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
	margin-bottom: 20px;
}


.grid .thumbnail {
	margin-bottom: 0;
	position: relative;
  border-radius: 8px;
  border: 1px solid var(--color-sec);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);
  transition: all .3s;
  background-color: var(--color-bg);
}

.grid .thumbnail .caption {

  color: var(--color-text);
}

.thumbnail:hover {
	border: 1px solid var(--color-sec-d);
  box-shadow: 0 14px 10px -10px #57482c33;
}

.thumbnail a:hover {
	text-decoration: none;
}

.flag {
	position: absolute;
	top: 4px;
	left: 4px;
}

.cc0 {
	padding: 0px 4px 3px;
	background-color: var(--col-success);
	color: var(--color-bg);
}

.cc0 img {
	width: 16px;
}

.tab-content {
  margin-top: 0;
}

.license, .count {
  color: #666;
  font-size: 12px;
}

.nav-tabs > li > a, .nav-tabs > li > a:hover, .nav-tabs > li > a:focus {
  border: 1px solid transparent;
  border-top: 5px solid transparent;
  border-bottom-color: transparent;
  color: var(--color-text);
}

.nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, .nav-tabs > li.active > a:focus {
  border: 1px solid var(--color-sec);
  border-top: 5px solid var(--color-prim-l);
  border-bottom-color: transparent;
  color: var(--color-text-hl);
  background-color: var(--color-bg-hl);
}

.yellow {
  background-color: var(--color-sec);
  overflow: hidden;
  border-radius: 6px 6px 0 0;
  padding-bottom: 20px;
}

.card.panel, .card-object {
  transition-property: all !important;
}

.card.panel:hover, .card-object:hover {
	box-shadow: 0 14px 10px -10px #57482c33;
	text-decoration: none;
  opacity: 1;
}

.card-link:hover {
  opacity: 1;
}

.search.bootstrap-select > .dropdown-toggle.bs-placeholder, .search.bootstrap-select:hover > .dropdown-toggle.bs-placeholder {
  color: var(--color-alt);
}



/* FOOTER */

.footer {
  background-color: var(--color-bg);
  padding: 100px 0 80px;
  background-image: url(images/bg-map.svg);
  background-size: 140%;
  border-top: 1px solid var(--color-sec);
  background-attachment: fixed;
  background-position: 50% 100%;
  margin-top: 50px;
}

.footer--home {
  margin-top: 0;
}

.footer-nav {
  list-style: none;
  line-height: 1.4;
}

.logo-footer {
  color: var(--color-text-hl);
  display: flex;
  gap: 10px;
  align-items: end;
  justify-content: end;
  margin-bottom: 30px;
}

.logo-footer__img {
  height: 44px;
  width: auto;
}

.logo-footer__text {
  text-align: left;
}

.logo-footer__name {
  font-size: 35px;
  font-weight: 800;
  line-height: 1.1;
  margin-left: -2px;
}

.logo-footer__slogan {
  font-size: 12px;
  font-weight: 600;
  line-height: 1.1;
  margin-top: -3px;
}

.copyright {
  margin-top: 2px;
  color: var(--color-alt);
}

.credits {
  font-size: 14px;
  margin-top: 2px;
  color: var(--color-alt);
}

.group-heading {
  margin: 25px 0 5px !important;
  font-size: 20px;
}

.group-body {
  padding-left: 0 !important;
}

@media (width <= 400px) {
  .topbar {
    padding: 12px 18px 12px 15px;
  }

  .logo__text {
    font-size: 30px;
    margin-top: 1px;
  }
}

@media (width <= 480px) {
  .logo__img {
    display: none;
  }

  #tags-wrap .search {
    width: auto;
  }

  .dropdown-menu {
    max-width: 210px;
  }
}

@media (width <= 600px) {
  .cols-xxs-1 > * {
    flex: 0 0 100%;
    max-width: 100%;
  }

  .cards-h {
    justify-content: center;
  }

  .subtitle {
    justify-content: center;
  }

  .subtitle .subtitle__link {
    display: none;
  }
  
  .subtitle__link--xs {
    justify-content: center;
  }

  .footer__right {
    text-align: center !important;
  }

  .footer__row {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 50px;
  }

  .logo-footer {
    justify-content: center;
  }

  .footer-nav {
    padding-left: 0;
  }
}


.cards-h .card {
  max-width: 420px;
  margin: 0 auto;
}

.glyphicon {
  color: #999;
  font-size: 12px;
}

@media (width <= 767px) { 
  .nav-tabs > li.active > a, .nav-tabs > li.active > a:hover {
    border: 2px solid var(--color-prim-l);
    border-bottom-color: var(--color-prim-l);
    border-radius: 6px; 
  }

  .gallery-wrap .nav-tabs {
    padding-left: 0;
  }
}
